Zandronum Chat on our Discord Server Get the latest version: 3.1
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004034Zandronum[All Projects] Bugpublic2022-09-10 23:082022-09-18 21:14
ReporterBasinga 
Assigned ToKaminsky 
PrioritynormalSeverityminorReproducibilityalways
Statusneeds testingResolutionopen 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version3.1 
Target Version3.2Fixed in Version 
Summary0004034: (Coop) Avoid losing keys & skulls when changing classes during gameplay
DescriptionCurrently, even with sv_sharekeys 1, if you change class you will lose the keys and skulls the team already picked up. You can still go and pick up the key/skulls again yourself to get em back your inventory at least.

My sugestion is to have a special case where you don't lose keys and skulls when changing classes mid level.

Steps To ReproduceI recommend doing this on the kinsie test map along with any multi class mod. I'll be sharing one along with this issue

1. Start a coop match with 2 players
2. Have any player grab atleast one key or skull
3. Have one player choose a different class in player setup then die
4. The respawning player will no longer have any keys or skulls
Additional InformationSeems like things are working as intended (inventory fully resets when respawning as a new class) but maybe an exception for keys would do nicely.
Attached Files? file icon MultiClassCheck.pk3 [^] (1,339 bytes) 2022-09-10 23:08

- Relationships

-  Notes
User avatar (0022402)
WubTheCaptain (reporter)
2022-09-18 19:13

Quote
Status: needs review

There has been no commits to zandronum-stable default branch between 2022-09-11 and 2022-09-18. There is nothing to review in this ticket. No patch.
User avatar (0022404)
Kaminsky (developer)
2022-09-18 21:14

FYI, the commit that addresses this ticket is here:https://osdn.net/projects/zandronum/scm/hg/zandronum-stable/commits/7604d56ff5d863344f4c898fc37c781585d60337 [^] (this was reviewed separately during our private dev meeting, I apologize for the confusion).

Issue Community Support
Only registered users can voice their support. Click here to register, or here to log in.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2022-09-10 23:08 Basinga New Issue
2022-09-10 23:08 Basinga File Added: MultiClassCheck.pk3
2022-09-18 18:50 Kaminsky Assigned To => Kaminsky
2022-09-18 18:50 Kaminsky Status new => needs review
2022-09-18 18:50 Kaminsky Category Suggestion => Bug
2022-09-18 18:50 Kaminsky Target Version => 3.2
2022-09-18 19:13 WubTheCaptain Note Added: 0022402
2022-09-18 21:14 Kaminsky Note Added: 0022404
2022-09-18 21:14 Kaminsky Status needs review => needs testing






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2022 MantisBT Team
Powered by Mantis Bugtracker